Nvidia GeForce 200 series are not supported (Full Version)

All Forums >> [Current Games From Matrix.] >> [[Fantasy]] >> Sovereignty: Crown of Kings



Message


Nimrod 9th -> Nvidia GeForce 200 series are not supported (7/31/2018 5:01:08 PM)

Considering buying this game. But product page says "Nvidia GeForce 200 series or equivalent are not supported."
Searched forum and found discussions and hints it might be fixed with the June 2018 patch.[&:] But nothing was definitive.
Does anyone know for sure if it supports Nvidia GeForce now or not? THANKS!




zakblood -> RE: Nvidia GeForce 200 series are not supported (7/31/2018 5:10:12 PM)

Lord Zimoa is about the only one i'd guess who knows for 100% sure

as far i can see, there was a patch so help the onboard Intel chipset etc

quote:

includes fix for Intel graphics cards


as it's a purchase question, you can always ask support who may just send the developers a pm and ask for sure




Nimrod 9th -> RE: Nvidia GeForce 200 series are not supported (7/31/2018 6:59:06 PM)

I saw that but something about the wording of the rest of the message made me uncomfortable. Well, I guess if the developers want me to buy the game they'll post a definitive reply/answer to my question. At this point I'm going to hold off until the question gets answered. It's a "game stopped" for me if it doesn't support Nvidia Geforce graphic cards. Not going to spend money just to find out I can't run the software.




zakblood -> RE: Nvidia GeForce 200 series are not supported (7/31/2018 7:53:46 PM)

game 100% support Nvidia Geforce graphic cards

just not the low end ones at the time




Nimrod 9th -> RE: Nvidia GeForce 200 series are not supported (8/2/2018 10:04:55 PM)

I have a GeForce 540 so now I just have to decide if I want to pull the trigger. Thanks.




Page: [1]

Valid CSS!




Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI
2.001953E-02